# Class WyckoffFinder

java.lang.Object
org.jmol.symmetry.WyckoffFinder

public class WyckoffFinder extends Object
A class to calculate, store, and retrieve Wyckoff information as per BCS nph-trgen at https://www.cryst.ehu.es/cgi-bin/cryst/programs//nph-trgen?gnum=146invalid input: '&what'=wposinvalid input: '&trmat'=2/3a+1/3b+1/3c,-1/3a+1/3b+1/3c,-1/3a-2/3b+1/3cinvalid input: '&unconv'=R%203%20:Rinvalid input: '&from'=ita For the 611 standard setting in ITA GENPOS, we are just reading the json file and loading its information. For setting not found through GENPOS, we calculate the Wyckoff positions.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected P3[]`
`centerings`
`protected String[]`
`centeringStr`
`static final int`
`WYCKOFF_RET_ALL_ARRAY`
`static final int`
`WYCKOFF_RET_CENTERING`
`static final int`
`WYCKOFF_RET_CENTERING_STRING`
`static final int`
`WYCKOFF_RET_COORD`
`static final int`
`WYCKOFF_RET_COORDS`
`static final int`
`WYCKOFF_RET_COORDS_ALL`
`static final int`
`WYCKOFF_RET_GENERAL`
`static final int`
`WYCKOFF_RET_LABEL`
positive numbers will be label characters or '*'
`static final int`
`WYCKOFF_RET_WITH_MULT`

## Constructor Summary

Constructors
Constructor
Description
`WyckoffFinder()`

## Method Summary

Modifier and Type
Method
Description
`protected static SB`
`wrap(String xyz, SB sb)`
Just wrap the coordinate with parentheses.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WYCKOFF_RET_LABEL

public static final int WYCKOFF_RET_LABEL
positive numbers will be label characters or '*'

See Also:
  - Constant Field Values

### WYCKOFF_RET_COORD

public static final int WYCKOFF_RET_COORD

See Also:
  - Constant Field Values

### WYCKOFF_RET_COORDS

public static final int WYCKOFF_RET_COORDS

See Also:
  - Constant Field Values

### WYCKOFF_RET_ALL_ARRAY

public static final int WYCKOFF_RET_ALL_ARRAY

See Also:
  - Constant Field Values

### WYCKOFF_RET_COORDS_ALL

public static final int WYCKOFF_RET_COORDS_ALL

See Also:
  - Constant Field Values

### WYCKOFF_RET_GENERAL

public static final int WYCKOFF_RET_GENERAL

See Also:
  - Constant Field Values

### WYCKOFF_RET_CENTERING

public static final int WYCKOFF_RET_CENTERING

See Also:
  - Constant Field Values

### WYCKOFF_RET_CENTERING_STRING

public static final int WYCKOFF_RET_CENTERING_STRING

See Also:
  - Constant Field Values

### WYCKOFF_RET_WITH_MULT

public static final int WYCKOFF_RET_WITH_MULT

See Also:
  - Constant Field Values

### centerings

protected P3[] centerings

### centeringStr

protected String[] centeringStr

## Constructor Details

### WyckoffFinder

public WyckoffFinder()

## Method Details

### wrap

protected static SB wrap(String xyz, SB sb)
Just wrap the coordinate with parentheses.

Parameters:
  `xyz` -
  `sb` -
Returns:
  sb for continued appending